> ## Documentation Index
> Fetch the complete documentation index at: https://omo-3bacc298.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Save Atlassian Config



## OpenAPI

````yaml post /v1/confluence/config
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /v1/confluence/config:
    post:
      tags:
        - confluence
      summary: Save Atlassian Config
      operationId: save_atlassian_config_v1_confluence_config_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AtlassianConfigModel'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AtlassianConfigModel:
      properties:
        atlassianApiToken:
          type: string
          title: Atlassianapitoken
        atlassianUsername:
          type: string
          title: Atlassianusername
        confluenceSpaceKey:
          type: string
          title: Confluencespacekey
      type: object
      required:
        - atlassianApiToken
        - atlassianUsername
        - confluenceSpaceKey
      title: AtlassianConfigModel
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````